<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_101) on Fri Oct 21 15:02:57 EDT 2016 -->
<title>Cell</title>
<meta name="date" content="2016-10-21">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Cell";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../quarto/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../quarto/Board.html" title="class in quarto"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../quarto/Color.html" title="enum in quarto"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?quarto/Cell.html" target="_top">Frames</a></li>
<li><a href="Cell.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">quarto</div>
<h2 title="Class Cell" class="title">Class Cell</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>quarto.Cell</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public final class <span class="typeNameLabel">Cell</span>
extends java.lang.Object</pre>
<div class="block">The Cell class represents a spot on a game board with
 the information of whether the spot is currently
 occupied and if it is, what piece is on that spot.
 If there is no piece located in the spot, the value of
 piece for the cell is null.</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>9/22/16</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Kyle Hekhuis</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/Cell.html#occupied">occupied</a></span></code>
<div class="block">Tells whether cell is occupied or not.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../quarto/Piece.html" title="class in quarto">Piece</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/Cell.html#piece">piece</a></span></code>
<div class="block">Piece that is located in the cell.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../quarto/Cell.html#Cell--">Cell</a></span>()</code>
<div class="block">Instantiates a cell that is not occupied and
 has no piece occupying it.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../quarto/Cell.html#Cell-boolean-quarto.Piece-">Cell</a></span>(boolean&nbsp;pOccupied,
    <a href="../quarto/Piece.html" title="class in quarto">Piece</a>&nbsp;pPiece)</code>
<div class="block">Instantiates a cell with the given occupied and
 piece parameters.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../quarto/Piece.html" title="class in quarto">Piece</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/Cell.html#getPiece--">getPiece</a></span>()</code>
<div class="block">Gets the piece occupying the cell.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/Cell.html#isOccupied--">isOccupied</a></span>()</code>
<div class="block">Determine if the cell is currently occupied.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/Cell.html#setOccupied-boolean-">setOccupied</a></span>(boolean&nbsp;pOccupied)</code>
<div class="block">Sets the occupied status of the cell.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/Cell.html#setPiece-quarto.Piece-">setPiece</a></span>(<a href="../quarto/Piece.html" title="class in quarto">Piece</a>&nbsp;pPiece)</code>
<div class="block">Sets the cell's piece with the given piece.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/Cell.html#toString--">toString</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="occupied">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>occupied</h4>
<pre>private&nbsp;boolean occupied</pre>
<div class="block">Tells whether cell is occupied or not. True for yes.</div>
</li>
</ul>
<a name="piece">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>piece</h4>
<pre>private&nbsp;<a href="../quarto/Piece.html" title="class in quarto">Piece</a> piece</pre>
<div class="block">Piece that is located in the cell. Null if none</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Cell-boolean-quarto.Piece-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Cell</h4>
<pre>public&nbsp;Cell(boolean&nbsp;pOccupied,
            <a href="../quarto/Piece.html" title="class in quarto">Piece</a>&nbsp;pPiece)</pre>
<div class="block">Instantiates a cell with the given occupied and
 piece parameters.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pOccupied</code> - true if spot is occupied</dd>
<dd><code>pPiece</code> - piece that is occupying this spot</dd>
</dl>
</li>
</ul>
<a name="Cell--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Cell</h4>
<pre>public&nbsp;Cell()</pre>
<div class="block">Instantiates a cell that is not occupied and
 has no piece occupying it.</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="isOccupied--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isOccupied</h4>
<pre>public&nbsp;boolean&nbsp;isOccupied()</pre>
<div class="block">Determine if the cell is currently occupied.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if cell is occupied</dd>
</dl>
</li>
</ul>
<a name="getPiece--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPiece</h4>
<pre>public&nbsp;<a href="../quarto/Piece.html" title="class in quarto">Piece</a>&nbsp;getPiece()</pre>
<div class="block">Gets the piece occupying the cell.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>piece that is occupying the cell.</dd>
</dl>
</li>
</ul>
<a name="setOccupied-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setOccupied</h4>
<pre>public&nbsp;void&nbsp;setOccupied(boolean&nbsp;pOccupied)</pre>
<div class="block">Sets the occupied status of the cell.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pOccupied</code> - true if cell is occupied.</dd>
</dl>
</li>
</ul>
<a name="setPiece-quarto.Piece-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPiece</h4>
<pre>public&nbsp;void&nbsp;setPiece(<a href="../quarto/Piece.html" title="class in quarto">Piece</a>&nbsp;pPiece)</pre>
<div class="block">Sets the cell's piece with the given piece.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pPiece</code> - piece to place in this cell</dd>
</dl>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../quarto/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../quarto/Board.html" title="class in quarto"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../quarto/Color.html" title="enum in quarto"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?quarto/Cell.html" target="_top">Frames</a></li>
<li><a href="Cell.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
